This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 56094 - Doesn't build with gcc 3.1
Doesn't build with gcc 3.1
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: parted (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-12 14:30 EST by Bernhard Rosenkraenzer
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-16 17:01:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2001-11-12 14:30:34 EST
i386-redhat-linux-gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../include 
-I/usr/include/python2.2 -O2 -march=i386 -mcpu=i686 -D_REENTRANT 
-D_FILE_OFFSET_BITS=64 -DLOCALEDIR=\"/usr/share/locale\" 
-DLOCALEDIR=\"/usr/share/locale\" -W -Wall -Wno-unused -Wno-switch 
-Werror -c pydevice.c -MT pydevice.lo -MD -MP -MF .deps/pydevice.TPlo  
-fPIC -DPIC -o pydevice.o
cc1: warnings being treated as errors
pydevice.c:200: warning: missing initializer
pydevice.c:200: warning: (near initialization for 
`PyPedDeviceType.tp_cache')
pydevice.c:273: warning: missing initializer
pydevice.c:273: warning: (near initialization for 
`PyPedDeviceConstructorType.tp_cache')
make[2]: *** [pydevice.lo] Error 1
make[2]: Leaving directory 
`/usr/src/redhat/BUILD/parted-1.4.20-pre3/python'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/parted-1.4.20-pre3'
make: *** [all] Error 2

With -Werror, uninitialized variables are errors...
Comment 1 Matt Wilson 2002-04-16 17:01:28 EDT
fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.